Add SNI SSL Certificate
Posthttps://api.cdn77.com/v3/ssl/sniRequest body≥1 required
certificatestringrequiredSNI certificate.
private_keystringrequiredPrivate key of the SSL certificate.
Example of the request body
{
"certificate": "---BEGIN CERTIFICATE---MIIEvwIBADANBgkqhkiG9w0BAQEFAAS---END CERTIFICATE---",
"private_key": "---BEGIN RSA PRIVATE KEY---MNQCS6FJUOgqF7bsfs2MsoDP---END PRIVATE KEY---"
}Responses
SNI SSL Certificate created.
Response parameters
idstring, format UUIDv4ID of the SSL certificate.
certificatestringSNI certificate.
cnamesarray of stringsCNAMEs assigned to SNI certificate.
expires_atstring, format date-timeDate and time of the SNI certificate expiration.
assigned_resourcesarray of objects
Example of the response
{
"id": "9880280c-0507-46d1-88f3-71cfee83fa57",
"certificate": "---BEGIN CERTIFICATE---MIIEvwIBADANBgkqhkiG9w0BAQEFAAS---END CERTIFICATE---",
"cnames": [
"cname.your-domain.com"
],
"expires_at": "2027-07-07T00:00:00.000Z",
"assigned_resources": [
{
"id": 1234567890,
"label": "My cdn"
}
]
}